#include<iostream>
using namespace std;

int main(){
	int X, Y;
	cin >> X;
	cin >> Y;
	int m, n, d = 1;
	int broj = 0;
	while(X > 0 && Y > 0){
		m = X % 10;
		n = Y % 10;
		if(m > n){
			broj = broj + m*d;
		} else if(m == n) {
			broj = broj + m*d + m*d*10;
			d = d * 10;
		} else broj = broj + n*d;
		d = d * 10;
		X = X / 10;
		Y = Y / 10;
	}
	broj = broj + X*d + Y*d;
	cout << broj;
}